> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dates

> REST Web API search dates

## Get all

```http theme={null}
GET /api/v1/appointment?$select=type,text,contact/name HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Before date

```http theme={null}
GET /api/v1/appointment?$select=date,type,text,contact/name?&$filter=date before '2020-05-28' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## After date

```http theme={null}
GET /api/v1/appointment?$select=type,text,contact/name?&$filter=date after '2020-05-28' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## On Date

```http theme={null}
GET /api/v1/appointment?$select=date, type,text,contact/name?&$filter=date date '2020-05-28' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Between dates

```http theme={null}
GET /api/v1/appointment?$select=date, type,text,contact/name?&$filter=date between ('2020-05-11','2020-05-31') HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Before or Equal date

```http theme={null}
GET /api/v1/appointment?$select=type,text,contact/name?&$filter=date beforeOrEqual '2020-05-28' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```


## Related topics

- [Date](/en/automation/crmscript/reference/CRMScript.Global.Date.md)
- [DateTime](/en/automation/crmscript/reference/CRMScript.Global.DateTime.md)
- [Formatting date and time](/integrations/zapier/howto/datetime.md)
- [Date data type](/en/automation/crmscript/datatypes/date-type.md)
- [NSRecurrenceDate](/en/automation/crmscript/reference/CRMScript.NetServer.NSRecurrenceDate.md)
